package ru.ulstu.extractor.model;

import javax.persistence.Entity;
import java.util.Date;

@Entity
public class TimeSeriesValue extends BaseEntity {
    private Date date;
    private Integer value;

    public TimeSeriesValue() {
    }

    public TimeSeriesValue(Date date, Integer value) {
        this.date = date;
        this.value = value;
    }

    public TimeSeriesValue(TimeSeries timeSeries, Date date, Integer value) {
        this.date = date;
        this.value = value;
    }

    public Date getDate() {
        return date;
    }

    public Integer getValue() {
        return value;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public void setValue(Integer value) {
        this.value = value;
    }
}
